%define tarball xf86-video-geode
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 geode video driver
Name:      	xorg-x11-drv-geode
Version:	2.11.9
Release:	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:   	%{tarball}-%{version}.tar.bz2
#Source1:	geode.xinf

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk >= 1.1.1
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	libdrm-devel
BuildRequires:	pixman-devel
BuildRequires:	libpciaccess-devel

Requires:  	xorg-x11-server-Xorg >= 1.1.1

%description 
X.Org X11 geode video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases                      
#install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# INFO: We don't want to ship the libtool archives (*.la) from modules
# directory, as they serve no useful purpose.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/geode_drv.so
%{driverdir}/ztv_drv.so
#%{_datadir}/hwdata/videoaliases/geode.xinf
#%dir %{_mandir}/man4x

%changelog
* Thu Oct 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.11.9-1
- Version Update
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.11.8-1
- Version Update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 6.9.0-1
- Version update
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.197-1
- Version update
* Sat Nov 13 2007 Stefan Gottwald <gotti@ccux-linux.de> 6.7.196-1
- Version update
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.195-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.192-1
- Version update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.6.193-1
- Version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.6.192-1
- Version update
* Fri Nov 24 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.3-2
- stable 6.6.3 version update
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 6.6.3-1
- Version Update to git version
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.2-2
- Added obsoletes for old xorg package
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.2-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.1-1
- Initial release
